#################################################################################
%define realversion	2.0.x-r6786
%define version	2.0.x.r6786

Name:          fltk2
Summary:       Fast Light Toolkit (development version)
Version:       %{version}
Release:       0.1
License:       LGPL with exceptions
Source0:       ftp://ftp.easysw.com/pub/fltk/snapshots/fltk-%{realversion}.tar.bz2
Patch1:        fluid-local.patch
Patch2:        fltk-2.0.x-r6786-scandir-workaround.patch
URL:           http://www.fltk.org/
Packager:      Hyperborea <http://www.hyperborea.org/software/>
Buildroot:     /var/tmp/%{name}-%{version}-buildroot
Group:         System Environment/Libraries

#################################################################################
BuildRequires:	libjpeg-devel libpng-devel
# These are going to be different on each distro...
#BuildRequires:  zlib-devel 
#BuildRequires:  xorg-x11-proto-devel libXft-devel libSM-devel libICE-devel libXt-devel libX11-devel
#BuildRequires:  mesa-libGL-devel mesa-libGLU-devel libXext-devel
#################################################################################

%description
FLTK (pronounced "fulltick") is a cross-platform C++ GUI toolkit for
UNIX/Linux (X11), Microsoft Windows, and Mac OS X. It provides modern
GUI functionality without the bloat, and supports 3D graphics via
OpenGL and its built-in GLUT emulation. FLTK is designed to be small
and modular enough to be statically linked, and also works fine as a
shared library.

This RPM is really just built as a quick way to simplify installing the
still-in-development libraries to build Dillo, not a full installation.
 
#################################################################################
%prep
%setup -n fltk-%{realversion}
%patch1 -p0
%patch2 -p0
#################################################################################
%build
./configure

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

#################################################################################
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/lib
mkdir -p $RPM_BUILD_ROOT/usr/local/include
mkdir -p $RPM_BUILD_ROOT/usr/local/man

make install DESTDIR=$RPM_BUILD_ROOT

#################################################################################
%clean
rm -rf $RPM_BUILD_ROOT

#################################################################################
%files
%defattr(-,root,root)
%doc README* COPYING CREDITS CHANGES TODO documentation

/usr/local/bin/fltk2-config
/usr/local/bin/fluid2
/usr/local/include/fltk
/usr/local/lib/libfltk2.a 
/usr/local/lib/libfltk2_gl.a
/usr/local/lib/libfltk2_glut.a
/usr/local/lib/libfltk2_images.a


#################################################################################
%changelog
* Mon Oct 13 2008 Kelson Vibber <software@hyperborea.org>
- Updated to 6403 build. Revised fluid-local patch to use fluid2

* Thu Apr 27 2006 Kelson Vibber <software@hyperborea.org>
- Incorporated elements from Fedora Extras' FLTK1 spec file.

* Wed Apr 26 2006 Kelson Vibber <software@hyperborea.org>
- First test
